@import url("/static/styles/menu.css");
@import url("/static/styles/reports.css");

body {
	font-size: 12px;
	font-family: Helvetica, Arial, sans-serif;
	margin: 0;
	padding: 0;
	background-color: #eee;
}

h1, h2, h3, h4, a, legend {
	color: #1072b7;
}

h2 {
	margin: 0px 0px 10px 0px;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
	width: 100%;
}

input, fieldset, textarea, select {
	border: 1px solid #bbb;
}

textarea {
	width: 100%;
}

textarea:focus,
input[type=text]:focus,
input[type=password]:focus,
select:focus {
	border-color: #1072B7;
}

fieldset {
    margin: 10px 0px 0px 0px;
    background-color: #FEFBE2;
}

legend {
    font-weight: bold;
    font-size: 1.1em;    
}

label {
	font-weight: bold;
}

dd {
	margin: 5px 0px 5px 0px;
}

/* Layout */
#wrapper {
	width: 920px;
	margin: 10px auto;
	position: relative;
}

#logged_in_as {
	top: 0px;
	right: 0px;
	position: absolute;
	background-color: #fff;
}

#logged_in_as p {
	padding: 2px 5px;
	margin: 0;
}

#content {
	border: 1px solid #bbb;
	padding: 10px;
	margin-top: 1px;
	background-color: #fff;
	position: relative;
}

/* Generic styles */
.btn {
    color: #1072b7;
    background-color: #cee6f7;
}

.go_btn {
    color: #116120;
    background: #cee6f7 url("/static/images/accept.png") 1px center no-repeat;
    padding-left: 18px;
    cursor: pointer;
}

.cancel_btn {
    color: #C21515;
    background: #cee6f7 url("/static/images/cancel.png") 1px center no-repeat;
    padding-left: 18px;
    cursor: pointer;
}

.object_tools {
	float: right;
	margin-right: 2px;
}

.object_tools.inline{
	background-color: #ddd;
	padding: 2px 5px;
}

.add_btn {
	background: url("/static/images/add.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.edit_btn {
	background: url("/static/images/pencil.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.change_btn {
	background: url("/static/images/pencil_go.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.view_btn {
	background: url("/static/images/magnifier.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.delete_btn {
	background: url("/static/images/delete.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.pdf_btn {
	background: url("/static/images/page_white_acrobat.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.print_btn {
	background: url("/static/images/printer.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.report_btn {
	background: url("/static/images/report.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.email_btn {
	background: url("/static/images/email_go.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.help_text {
	display: block;
	font-size: 0.8em;
	color: #666666;
}

.info {
	margin-top: 0px;
	display: block;
	font-size: 0.8em;
	color: #666666;
	background: url("/static/images/information.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.warn {
	display: block;
	font-size: 0.9em;
	color: #C21515;
	background: url("/static/images/exclamation.png") no-repeat;
	padding: 2px 0px 2px 18px;
}

.form_errors {
	padding: 0px 10px;
	border: 2px solid #C21515;
	color: #C21515;
	background-color: #fcf4b3;
}

.form_errors ul li {
	color: #C21515;
}

.form_errors ul {
	padding-left: 20px;
}

.form_errors ul li ul li {
	color: #000;
	font-size: 0.9em;
	list-style: none;
	padding: 2px 0px 5px 0px;
}

.required {
	color: #C21515;
}

.positive {
	color: #116120;
}

.negative {
	color: #C21515;
}

#user_messages {
	border: 2px solid #116120;
	color: #116120;
	background-color: #fcf4b3;
	margin-bottom: 10px;
	font-weight: bold;
}

#back_link {
    float: right;
    padding: 2px 5px;
    background-color: #ddd;
    position: absolute;
    top: 2px;
    right: 2px;
}

/* Dashboard styles */
#dashboard table.stats {
	margin-top: 10px;
	width: 200px;
	background-color: #fff;
}

#dashboard table.stats th, #dashboard table.stats td {
	border: 1px solid #bbb;
	padding: 2px 5px;
	text-align: right;
}

/* List template styles */
table.list_view {
	margin-top: 10px;
	width: 100%;
	background-color: #fff;
}

table.list_view th {
	background-color: #ccc;
}

table.list_view th, table.list_view td {
	border: 1px solid #bbb;
	padding: 4px 5px;
	text-align: left;
}

table.list_view tr.even {
	background-color: #FEFBE2;
}

table.list_view tr:hover {
	background-color: #fcf4b3 !important;
}

table.list_view .check_col {
	width: 15px;
	text-align: center;
}

table.list_view .edit_col {
	width: 30px;
	text-align: center;
}

table.list_view .id_col {
	width: 60px;
	text-align: right;
}

table.list_view .name_col {
	width: 150px;
}

table.list_view .date_col {
	width: 80px;
	text-align: center;
}

table.list_view .datetime_col {
	width: 110px;
	text-align: center;
}

table.list_view .money_col {
	width: 70px;
	text-align: right;
}

table.list_view .active_col {
	width: 60px;
	text-align: center;
}

.pagination a {
	color: #1072b7;
	border: 1px solid #bbb;
	background-color: #cee6f7;
	padding: 2px 6px;
	text-decoration: none;
}

.pagination a.selected {
	font-weight: bold;
	background-color: #1072b7;
	color: #cee6f7;
}

.pagination span {
	margin: 0px 5px;
}

/* Edit template styles */
input.wide {
	width: 300px;
}

#edit_page fieldset {
    clear: both;
}

table.edit_view {
    width: 100%;
}
table.edit_view th {
    text-align: right;
    font-weight: bold;
    width: 130px;
    padding: 5px;
}

table.edit_view th.won_col {
	text-align: left;
	background: url("/static/images/rosette.png") no-repeat 7px;
	padding: 2px 0px 2px 25px;
}

table.edit_view td.won_col {
	text-align: left;
}

table.edit_view td {
    padding-left: 5px;
}

/* Edit tenant */
table.edit_tenant th{
	text-align: left;
}

/* Edit job */
table.edit_job_contractor
{
	width: auto;
}

/* View template styles */
#view_page fieldset {
    clear: both;
}

table.detail_view, table.detail_view_2_col {
    width: 100%;
}

table.detail_view th {
    width: 130px;
    text-align: right;
    padding: 5px;
}

table.detail_view th.contractor_head {
	width: auto;
	text-align: left;
	padding-left: 0;
}

table.detail_view_2_col th {
    width: 130px;
    text-align: right;
    padding: 5px;
}

table.detail_view_2_col td {
	width: 35%;
}

#view_page table.list_view tr.even {
	background-color: #e7e7e7;
}

#view_page table.list_view tr.even.past {
	background-color: #ffe7e7;
}

#view_page table.list_view tr.odd.past {
	background-color: #ffefef;
}

/* Payments list */
table.payments_list .date, table.payments_list td.date input {
	width: 80px;
	text-align: center;
}

table.payments_list .amount, table.payments_list td.amount input {
	width: 60px;
	text-align: center;
}

table.payments_list td.note input {
	width: 100%;
}
	
table.payments_list .action {
	width: 50px;
	text-align: center;
}

/* Diary list */
table.diary_list .action {
	width: 50px;
	text-align: center;
}

/* Credits / debits list */
table.credits_debits_list .date, table.credits_debits_list td.date input {
	width: 80px;
	text-align: center;
}

table.credits_debits_list .amount, table.credits_debits_list td.amount input {
	width: 60px;
	text-align: right;
}

table.credits_debits_list .invoice {
	width: 60px;
}

table.credits_debits_list .type {
	width: 100px;
}

table.credits_debits_list td.note input {
	width: 100%;
}
	
table.credits_debits_list .action {
	width: 50px;
	text-align: center;
}
